#ifndef motormovement_h
#define motormovement_h

#include <Arduino.h>
#include <SoftwareSerial.h>

// L298n Modul IO Pins
#define ENA 5
#define ENB 6
#define IN1 7
#define IN2 8
#define IN3 9
#define IN4 11

//    The direction of the car's movement
//  ENA   ENB   IN1   IN2   IN3   IN4   Pins
//  HIGH  HIGH  HIGH  LOW   LOW   HIGH  Auto fährt vorwärts
//  HIGH  HIGH  LOW   HIGH  HIGH  LOW   Auto fährt rückwärts
//  HIGH  HIGH  LOW   HIGH  LOW   HIGH  Auto dreht nach rechts
//  HIGH  HIGH  HIGH  LOW   HIGH  LOW   Auto dreht nach link
//  HIGH  HIGH  LOW   LOW   LOW   LOW   Auto hält an
//  HIGH  HIGH  HIGH  HIGH  HIGH  HIGH  Auto hält an
//  LOW   LOW   N/A   N/A   N/A   N/A   Auto hält an



void forward();
void back();
void left();
void right();
void stop();
void setSpeed(u8 speed);

#endif